"use strict";
// ------------------------------------------------------------------------------
//  Copyright (c) 2017-present, RobotlegsJS. All Rights Reserved.
//
//  NOTICE: You are permitted to use, modify, and distribute this file
//  in accordance with the terms of the license agreement accompanying it.
// ------------------------------------------------------------------------------
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@robotlegsjs/core");
var ISignalCommandMap_1 = require("./api/ISignalCommandMap");
var SignalCommandMap_1 = require("./impl/SignalCommandMap");
// allow signals to be injected
core_1.injectable()(Phaser.Signal);
var SignalCommandMapExtension = /** @class */ (function () {
    function SignalCommandMapExtension() {
        /*============================================================================*/
        /* Private Properties                                                         */
        /*============================================================================*/
        this._uid = core_1.UID.create(SignalCommandMapExtension);
    }
    /*============================================================================*/
    /* Public Functions                                                           */
    /*============================================================================*/
    SignalCommandMapExtension.prototype.extend = function (context) {
        context.injector
            .bind(ISignalCommandMap_1.ISignalCommandMap)
            .to(SignalCommandMap_1.SignalCommandMap)
            .inSingletonScope();
    };
    SignalCommandMapExtension.prototype.toString = function () {
        return this._uid;
    };
    return SignalCommandMapExtension;
}());
exports.SignalCommandMapExtension = SignalCommandMapExtension;
//# sourceMappingURL=SignalCommandMapExtension.js.map